groebner_alg.h File Reference
`#include "PairStatusSet.h"`
`#include "PairManager.h"`
`#include "MonomialHasher.h"`
`#include "ReductionStrategy.h"`
`#include "GroebnerStrategy.h"`
`#include "LessWeightedLengthInStrat.h"`
`#include "LargerDegreeComparer.h"`
`#include "LessWeightedLengthInStratModified.h"`
`#include "LessEcartThenLessWeightedLengthInStrat.h"`
`#include "LessUsedTailVariablesThenLessWeightedLengthInStrat.h"`
`#include "LessCombinedManySizesInStrat.h"`
`#include <polybori.h>`
`#include "groebner_defs.h"`
`#include "pairs.h"`
`#include <boost/dynamic_bitset.hpp>`
`#include <vector>`
`#include <string>`
`#include <algorithm>`
`#include <utility>`
`#include <iostream>`
`#include "cache_manager.h"`
`#include "polynomial_properties.h"`

Go to the source code of this file.

## Namespaces

| polybori
| polybori::groebner

## Constant Groups

| polybori
| polybori::groebner

## Macros

#define | LL_RED_FOR_GROEBNER 1

## Functions

Polynomial | polybori::groebner::map_every_x_to_x_plus_one (Polynomial p)
MonomialSet | polybori::groebner::mod_var_set (const MonomialSet &as, const MonomialSet &vs)
void | polybori::groebner::groebner (GroebnerStrategy &strat)
Polynomial | polybori::groebner::reduce_by_binom (const Polynomial &p, const Polynomial &binom)
Polynomial | polybori::groebner::reduce_by_monom (const Polynomial &p, const Monomial &m)
| assumes that divisibility condition is fullfilled More...
Polynomial | polybori::groebner::reduce_complete (const Polynomial &p, const Polynomial &reductor)
Polynomial | polybori::groebner::mult_fast_sim (const std::vector< Polynomial > &vec, const BoolePolyRing &ring)
std::vector< Polynomial > | polybori::groebner::full_implication_gb (const Polynomial &p, CacheManager &cache, GroebnerStrategy &strat)
Polynomial | polybori::groebner::reduce_complete (const Polynomial &p, const PolyEntry &reductor, wlen_type &len)
MonomialSet | polybori::groebner::recursively_insert (MonomialSet::navigator p, idx_type idx, MonomialSet mset)
Polynomial | polybori::groebner::cancel_monomial_in_tail (const Polynomial &p, const Monomial &m)
Polynomial | polybori::groebner::reduce_by_binom_in_tail (const Polynomial &p, const Polynomial &binom)

## Macro Definition Documentation

#define LL_RED_FOR_GROEBNER 1